package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.*;
import java.util.Date;

/**
 * 挂号明细表
 *
 * */
//@ApiModel(value = "HlwCf01VO", description = "眼科处方表1数据")
@Entity
@Table(name = "v_hlw_ghmx")
public class HlwGhmxDO {

    private Integer sBXH;//NUMBER(18)N0识别序号
    private Integer bRID;//NUMBER(18)Y病人ID号
    private Integer bRXZ;//NUMBER(4)Y病人性质
    private Date gHSJ;//DATEY挂号时间
    private Integer gHLB;//NUMBER(4)Y挂号类别
    private String kSDM;//VARCHAR2(6)Y科室代码
    private String ySDM;//VARCHAR2(10)Y医生代码
    private String jZYS;//VARCHAR2(10)Y接诊医生；该字段院长查询使用，用于按医生统计挂号人数，导数据时根据处方、检查单及发票将医生写入到该字段中
    private Integer jZXH;//NUMBER(4)N1就诊序号
    private Integer gHCS;//NUMBER(4)N1挂号次数
    private Integer gHJE;//NUMBER(10;2)N0挂号金额
    private Integer zLJE;//NUMBER(10;2)N0诊疗金额
    private Integer zJFY;//NUMBER(10;2)N0专家费用
    private Integer bLJE;//NUMBER(10;2)N0病历金额
    private Integer xJJE;//NUMBER(10;2)N0现金金额
    private Integer zPJE;//NUMBER(10;2)N0支票金额
    private Integer zHJE;//NUMBER(10;2)N0帐户金额
    private Integer hBWC;//NUMBER(10;2)N0货币误差
    private Integer qTYS;//NUMBER(10;2)N0其他应收
    private Integer zHLB;//NUMBER(2)Y帐户类别
    private Integer jZJS;//NUMBER(1)Y0就诊结束
    private Integer zDJG;//NUMBER(6)Y诊断结果
    private Integer tHBZ;//NUMBER(1)N0退号标志:0正常、1退号、9申请退号
    private String cZGH;//VARCHAR2(10)Y操作工号
    private Date jZRQ;//DATEY结帐日期
    private Date hZRQ;//DATEY汇总日期
    private Integer cZPB;//NUMBER(4)N0初诊判别
    private Integer jZHM;//VARCHAR2(12)Y就诊号码
    private Integer mZLB;//NUMBER(2)N0门诊类别
    private Integer yYBZ;//NUMBER(1)Y0预约标志
    private Integer ySPB;//NUMBER(1)N0医生判别
    private Integer dZSB;//NUMBER(1)Y导诊识别；导诊识别标志;0表示导诊台未处理;1表示导诊台已经处理
    private Integer sFFS;//NUMBER(1)N0收费方式
    private Integer jZZT;//NUMBER(1)N0就诊状态；0:挂号  1:就诊中  2:就诊结束
    private Integer ySLB;//NUMBER(1)Y
    private String gHLSH;//VARCHAR2(16)Y
    private Integer sLJCFY;//NUMBER(10;2)Y0视力检查费用
    private Integer gLYJXH;//NUMBER(18)Y关联医技序号
    private Integer jZPB;//NUMBER(1)Y
    private Integer yGJB;//NUMBER(5)Y
    private Integer pJBZ;//NUMBER(1)Y0配镜标志
    private Integer wLYY;//NUMBER(1)Y00表示HIS，1表示网络预约未到，2表示网络预约已到医院就诊
    private Integer ySFY;//NUMBER(10;2)Y药事费用
    private String ySZJDJ;//VARCHAR2(12)Y医师诊察费收费等级
    private Integer sLJZFS;//NUMBER(1)Y力矫正方式：1角塑、2框架、3训练
    private String aKA078;//VARCHAR2(10)Y医疗就诊方式
    private String bKE241;//VARCHAR2(10)Y数据来源


    @Id
    @Column(name = "SBXH")
    public Integer getSBXH() {
        return sBXH;
    }

    public void setSBXH(Integer sBXH) {
        this.sBXH = sBXH;
    }

    @Column(name = "BRID")
    public Integer getBRID() {
        return bRID;
    }

    public void setBRID(Integer bRID) {
        this.bRID = bRID;
    }

    @Column(name = "BRXZ")
    public Integer getBRXZ() {
        return bRXZ;
    }

    public void setBRXZ(Integer bRXZ) {
        this.bRXZ = bRXZ;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "GHSJ")
    public Date getGHSJ() {
        return gHSJ;
    }

    public void setGHSJ(Date gHSJ) {
        this.gHSJ = gHSJ;
    }

    @Column(name = "GHLB")
    public Integer getGHLB() {
        return gHLB;
    }

    public void setGHLB(Integer gHLB) {
        this.gHLB = gHLB;
    }

    @Column(name = "KSDM")
    public String getKSDM() {
        return kSDM;
    }

    public void setKSDM(String kSDM) {
        this.kSDM = kSDM;
    }

    @Column(name = "YSDM")
    public String getYSDM() {
        return ySDM;
    }

    public void setYSDM(String ySDM) {
        this.ySDM = ySDM;
    }

    @Column(name = "JZYS")
    public String getJZYS() {
        return jZYS;
    }

    public void setJZYS(String jZYS) {
        this.jZYS = jZYS;
    }

    @Column(name = "JZXH")
    public Integer getJZXH() {
        return jZXH;
    }

    public void setJZXH(Integer jZXH) {
        this.jZXH = jZXH;
    }
    @Column(name = "GHCS")
    public Integer getGHCS() {
        return gHCS;
    }

    public void setGHCS(Integer gHCS) {
        this.gHCS = gHCS;
    }

    @Column(name = "GHJE")
    public Integer getGHJE() {
        return gHJE;
    }

    public void setGHJE(Integer gHJE) {
        this.gHJE = gHJE;
    }

    @Column(name = "ZLJE")
    public Integer getZLJE() {
        return zLJE;
    }

    public void setZLJE(Integer zLJE) {
        this.zLJE = zLJE;
    }

    @Column(name = "ZJFY")
    public Integer getZJFY() {
        return zJFY;
    }

    public void setZJFY(Integer zJFY) {
        this.zJFY = zJFY;
    }

    @Column(name = "BLJE")
    public Integer getBLJE() {
        return bLJE;
    }

    public void setBLJE(Integer bLJE) {
        this.bLJE = bLJE;
    }

    @Column(name = "XJJE")
    public Integer getXJJE() {
        return xJJE;
    }

    public void setXJJE(Integer xJJE) {
        this.xJJE = xJJE;
    }

    @Column(name = "ZPJE")
    public Integer getZPJE() {
        return zPJE;
    }

    public void setZPJE(Integer zPJE) {
        this.zPJE = zPJE;
    }

    @Column(name = "ZHJE")
    public Integer getZHJE() {
        return zHJE;
    }

    public void setZHJE(Integer zHJE) {
        this.zHJE = zHJE;
    }

    @Column(name = "HBWC")
    public Integer getHBWC() {
        return hBWC;
    }

    public void setHBWC(Integer hBWC) {
        this.hBWC = hBWC;
    }

    @Column(name = "QTYS")
    public Integer getQTYS() {
        return qTYS;
    }

    public void setQTYS(Integer qTYS) {
        this.qTYS = qTYS;
    }

    @Column(name = "ZHLB")
    public Integer getZHLB() {
        return zHLB;
    }

    public void setZHLB(Integer zHLB) {
        this.zHLB = zHLB;
    }

    @Column(name = "JZJS")
    public Integer getJZJS() {
        return jZJS;
    }

    public void setJZJS(Integer jZJS) {
        this.jZJS = jZJS;
    }

    @Column(name = "ZDJG")
    public Integer getZDJG() {
        return zDJG;
    }

    public void setZDJG(Integer zDJG) {
        this.zDJG = zDJG;
    }

    @Column(name = "THBZ")
    public Integer getTHBZ() {
        return tHBZ;
    }

    public void setTHBZ(Integer tHBZ) {
        this.tHBZ = tHBZ;
    }

    @Column(name = "CZGH")
    public String getCZGH() {
        return cZGH;
    }

    public void setCZGH(String cZGH) {
        this.cZGH = cZGH;
    }

    @Column(name = "JZRQ")
    public Date getJZRQ() {
        return jZRQ;
    }

    public void setJZRQ(Date jZRQ) {
        this.jZRQ = jZRQ;
    }

    @Column(name = "HZRQ")
    public Date getHZRQ() {
        return hZRQ;
    }

    public void setHZRQ(Date hZRQ) {
        this.hZRQ = hZRQ;
    }

    @Column(name = "CZPB")
    public Integer getCZPB() {
        return cZPB;
    }

    public void setCZPB(Integer cZPB) {
        this.cZPB = cZPB;
    }

    @Column(name = "JZHM")
    public Integer getJZHM() {
        return jZHM;
    }

    public void setJZHM(Integer jZHM) {
        this.jZHM = jZHM;
    }

    @Column(name = "MZLB")
    public Integer getMZLB() {
        return mZLB;
    }

    public void setMZLB(Integer mZLB) {
        this.mZLB = mZLB;
    }

    @Column(name = "YYBZ")
    public Integer getYYBZ() {
        return yYBZ;
    }

    public void setYYBZ(Integer yYBZ) {
        this.yYBZ = yYBZ;
    }

    @Column(name = "YSPB")
    public Integer getYSPB() {
        return ySPB;
    }

    public void setYSPB(Integer ySPB) {
        this.ySPB = ySPB;
    }

    @Column(name = "DZSB")
    public Integer getDZSB() {
        return dZSB;
    }

    public void setDZSB(Integer dZSB) {
        this.dZSB = dZSB;
    }

    @Column(name = "SFFS")
    public Integer getSFFS() {
        return sFFS;
    }

    public void setSFFS(Integer sFFS) {
        this.sFFS = sFFS;
    }

    @Column(name = "JZZT")
    public Integer getJZZT() {
        return jZZT;
    }

    public void setJZZT(Integer jZZT) {
        this.jZZT = jZZT;
    }

    @Column(name = "YSLB")
    public Integer getYSLB() {
        return ySLB;
    }

    public void setYSLB(Integer ySLB) {
        this.ySLB = ySLB;
    }

    @Column(name = "GHLSH")
    public String getGHLSH() {
        return gHLSH;
    }

    public void setGHLSH(String gHLSH) {
        this.gHLSH = gHLSH;
    }

    @Column(name = "SLJCFY")
    public Integer getSLJCFY() {
        return sLJCFY;
    }

    public void setSLJCFY(Integer sLJCFY) {
        this.sLJCFY = sLJCFY;
    }

    @Column(name = "GLYJXH")
    public Integer getGLYJXH() {
        return gLYJXH;
    }

    public void setGLYJXH(Integer gLYJXH) {
        this.gLYJXH = gLYJXH;
    }

    @Column(name = "JZPB")
    public Integer getJZPB() {
        return jZPB;
    }

    public void setJZPB(Integer jZPB) {
        this.jZPB = jZPB;
    }

    @Column(name = "YGJB")
    public Integer getYGJB() {
        return yGJB;
    }

    public void setYGJB(Integer yGJB) {
        this.yGJB = yGJB;
    }

    @Column(name = "PJBZ")
    public Integer getPJBZ() {
        return pJBZ;
    }

    public void setPJBZ(Integer pJBZ) {
        this.pJBZ = pJBZ;
    }

    @Column(name = "WLYY")
    public Integer getWLYY() {
        return wLYY;
    }

    public void setWLYY(Integer wLYY) {
        this.wLYY = wLYY;
    }

    @Column(name = "YSFY")
    public Integer getYSFY() {
        return ySFY;
    }

    public void setYSFY(Integer ySFY) {
        this.ySFY = ySFY;
    }

    @Column(name = "YSZJDJ")
    public String getYSZJDJ() {
        return ySZJDJ;
    }

    public void setYSZJDJ(String ySZJDJ) {
        this.ySZJDJ = ySZJDJ;
    }

    @Column(name = "SLJZFS")
    public Integer getSLJZFS() {
        return sLJZFS;
    }

    public void setSLJZFS(Integer sLJZFS) {
        this.sLJZFS = sLJZFS;
    }

    @Column(name = "AKA078")
    public String getAKA078() {
        return aKA078;
    }

    public void setAKA078(String aKA078) {
        this.aKA078 = aKA078;
    }

    @Column(name = "BKE241")
    public String getBKE241() {
        return bKE241;
    }

    public void setBKE241(String bKE241) {
        this.bKE241 = bKE241;
    }
}
